.include "m32def.inc"

.def temp = r16
.def temp1 = r17
.def temp2 = r18
.def temp3 = r19


 
 
           ldi temp1, LOW(RAMEND)      ; LOW-Byte der obersten RAM-Adresse
           out SPL, temp1
           ldi temp1, HIGH(RAMEND)     ; HIGH-Byte der obersten RAM-Adresse
           out SPH, temp1
 
           ldi temp1, 0xFF    ; Port D = Ausgang
           out DDRC, temp1
           out DDRB, temp1
           clr temp1
		   out PORTC,temp1
		   out PORTB,temp1

           rcall pwm_and_timer_init
		   rcall pwm_set_high
		   
		   rcall lcd_init     ; Display initialisieren
           rcall lcd_clear    ; Display lschen
          rcall lcd_reset        
           
           
loop:      
           ldi temp1, 'T'     ; Zeichen anzeigen
           rcall lcd_data
 
           ldi temp1, 'e'     ; Zeichen anzeigen
           rcall lcd_data
           
           ldi temp1, 's'     ; Zeichen anzeigen
           rcall lcd_data
 
           ldi temp1, 't'     ; Zeichen anzeigen
           rcall lcd_data
           
           rcall delay5ms
		   rcall delay5ms
           ;rcall pwm_inc
		   rjmp loop
 
.include "lib\lcd-routines.asm"            ; LCD-Routinen werden hier eingefgt 
.include "lib\pwm_and_timer.asm"
